[Résolu] Mise à jour 3.1.2 faite mais qui apparait toujours (Créer un compte)

  • Statut : non résolu
15 sujets de 1 à 15 (sur un total de 27)
  • Auteur
    Messages
  • #494419
    kati
    Participant
    Maître WordPress
    847 contributions

    Bonjour,

    Ma configuration WP actuelle
    – Version de WordPress :
    – Version de PHP/MySQL :
    – Thème utilisé :
    – Extensions en place :
    – Nom de l’hebergeur : free
    – Adresse du site : motelsavinien.free.fr

    Problème(s) rencontré(s) :

    Je viens de mettre à jour wordpress en remplaçant les fichiers wp-admin et wp-includes par ceux de la version 3.1.2.

    Le souci est que sur le tableau de bord il m’est toujours indiqué « vous utilisez WordPress 3.0.4. ». Qu’est ce que j’ai fait de travers???

    #767377
    Komli
    Participant
    Chevalier WordPress
    328 contributions

    Tu as certainement oublié des fichiers, regarde ici : http://codex.wordpress.org/fr:Details_de_mise_a_jour

    #767379
    kati
    Participant
    Maître WordPress
    847 contributions

    Alors là j’ai tout transféré comme il fallait..je m’étais trompée de dossiers 😗

    Par contre désormais je ne peux plus accéder à mon tableau de bord j’ai ce message d’erreur

    Fatal error: Cannot redeclare class walker_page in /mnt/153/sdc/b/7/motelsavinien/wp-includes/post-template.php on line 1062

    #767380
    Komli
    Participant
    Chevalier WordPress
    328 contributions

    Ca doit encore venir d’un problème de mise à jour. Tu as supprimé les fichiers avant d’uploader ceux de la nouvelle version ?

    #767378
    benkenobi
    Participant
    Maître WordPress
    4073 contributions

    Recharge le dossier WP-INCLUDES sur ton FTP.

    #767381
    kati
    Participant
    Maître WordPress
    847 contributions

    j’ai rechargé le dossier wp-includes mais rien n’y fait. Je ne peux pas accéder au blog non plus :-(

    #767382
    kati
    Participant
    Maître WordPress
    847 contributions

    pensez vous que si je supprime le fichier wp-includes et que je le recharge avec la nouvelle version ça marchera???

    #767383
    Komli
    Participant
    Chevalier WordPress
    328 contributions

    Oui je pense que tu devrais supprimer complètement wp-admin et wp-includes et recharger tout le contenu de l’archive sauf wp-content.

    #767384
    Komli
    Participant
    Chevalier WordPress
    328 contributions

    Question bête, la mise à jour automatique n’a pas fonctionné ?

    #767385
    kati
    Participant
    Maître WordPress
    847 contributions

    non et là je n’ai plus accès à mon tableau de bord…

    #767386
    kati
    Participant
    Maître WordPress
    847 contributions

    rien n’y fait et en plus j’ai un message d’erreur plus long maintenant !! je fais quoi???

    Warning: require() [function.require]: Unable to access /mnt/153/sdc/b/7/motelsavinien/wp-includes/classes.php in /mnt/153/sdc/b/7/motelsavinien/wp-settings.php on line 68

    Warning: require(/mnt/153/sdc/b/7/motelsavinien/wp-includes/classes.php) [function.require]: failed to open stream: No such file or directory in /mnt/153/sdc/b/7/motelsavinien/wp-settings.php on line 68

    Fatal error: require() [function.require]: Failed opening required ‘/mnt/153/sdc/b/7/motelsavinien/wp-includes/classes.php’ (include_path=’/mnt/153/sdc/b/7/motelsavinien/include:.:/usr/php5/lib/php’) in /mnt/153/sdc/b/7/motelsavinien/wp-settings.php on line 68

    Help!!!!

    #767387
    Franck (fge)
    Modérateur
    Maître WordPress
    9572 contributions

    Le fichier http://motelsavinien.free.fr/wp-includes/classes.php est inaccessible.
    Avec ton logiciel FTP, supprime ce fichier s’il est présent, puis recharge-le à partir de l’archive de WordPress. Il y a des problèmes de temps en temps au cours du transfert avec FTP.

    #767388
    kati
    Participant
    Maître WordPress
    847 contributions

    j’ai fait une recherche dans le dossier téléchargé de la version 3.1.2 mais je trouve pas ce fichier…Donc je retente de transmettre à nouveau le fichier via mon FTP

    #767389
    kati
    Participant
    Maître WordPress
    847 contributions

    je confirme le fichier classes.php n’est pas présent dans la version 3.1.2. J’ai donc choisi de transférer le fichier classes.php de la version 3.0.4.

    Voici le nouveau message d’erreur : Fatal error: Cannot redeclare class walker_page in /mnt/153/sdc/b/7/motelsavinien/wp-includes/post-template.php on line 1062

    #767391
    Franck (fge)
    Modérateur
    Maître WordPress
    9572 contributions

    Oooops… 😳 La classe a effectivement disparue, elle semble remplacée par la classe class-wp.php.
    Le problème doit donc probablement venir du fichier qui l’appelle : wp-settings.php. Essaye de recharger ce fichier par FTP

15 sujets de 1 à 15 (sur un total de 27)
  • Vous devez être connecté pour répondre à ce sujet.